LibreOffice: Writer Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
List of all members
Writer Service Reference
Inheritance diagram for Writer:

## Additional Inherited Members
Exported Interfaces inherited from XWriter
interface | com::sun::star::io::XActiveDataSource
interface | com::sun::star::xml::sax::XExtendedDocumentHandler
Public Member Functions inherited from XWriter
void | setCustomEntityNames ([in] sequence< com::sun::star::beans::Pair< string, string > > replacements)
| Adds support for custom entity names list.
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream.
com::sun::star::io::XOutputStream | getOutputStream ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XExtendedDocumentHandler
void | startCDATA () raises ( com::sun::star::xml::sax::SAXException )
| receives notification about the start of a CDATA section in the XML-source.
void | endCDATA () raises ( com::sun::star::xml::sax::SAXException )
| informs about the end of a CDATA-Section.
void | comment ([in] string sComment) raises ( com::sun::star::xml::sax::SAXException )
| receives notification about a comment in the XML-source.
void | allowLineBreak () raises ( com::sun::star::xml::sax::SAXException )
| informs a writer that it is allowable to insert a line break and indentation before the next XDocumentHandler-call.
void | unknown ([in] string sString) raises ( com::sun::star::xml::sax::SAXException )
| notifies that any characters that cannot be handled by other callback methods are announced through this method.
Public Member Functions inherited from XDocumentHandler
void | startDocument () raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a document.
void | endDocument () raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of a document.
void | startElement ([in] string aName, [in] com::sun::star::xml::sax::XAttributeList xAttribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an element .
void | endElement ([in] string aName) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of an element.
void | characters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of character data.
void | ignorableWhitespace ([in] string aWhitespaces) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of white space that can be ignored.
void | processingInstruction ([in] string aTarget, [in] string aData) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a processing instruction.
void | setDocumentLocator ([in] com::sun::star::xml::sax::XLocator xLocator) raises ( com::sun::star::xml::sax::SAXException )
| receives an object for locating the origin of SAX document events.

## Detailed Description

Since
  LibreOffice 4.0

The documentation for this service was generated from the following file:

- com/sun/star/xml/sax/Writer.idl